Home

# Class goog.ui.ColorButtonRenderer

Renderer for {@link goog.ui.ColorButton}s. Uses {@link goog.ui.ColorMenuButton}s but disables the dropdown.

extends goog.ui.ColorMenuButtonRenderer

Instance Method Summary
| `createCaption(?goog.ui.ControlContent content, ?goog.dom.DomHelper dom) ⇒ ?Element` Overrides the superclass implementation by wrapping the caption text or DOM structure in a color indicator element. Creates the following DOM structure: The 'goog-color-menu-button-indicator' style should be defined to have a bottom border of nonzero width and a default color that blends into its background.
| `initializeDom(?goog.ui.ColorMenuButton button)` Initializes the button's DOM when it enters the document. Overrides the superclass implementation by making sure the button's color indicator is initialized.